Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UITab

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.AbstractActionComponent
                      org.richfaces.component.AbstractTab
                          org.richfaces.component.UITab

All Implemented Interfaces:
  EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, AbstractTogglePanelItemInterface, AbstractTogglePanelTitledItem, AjaxProps

    @Generated(value={"RichFaces CDK","4.1.0.CR2"})
    public class UITab

extends AbstractTab
implements javax.faces.component.behavior.ClientBehaviorHolder

Since:
  2010-10-19
Author:
  akolonitsky

Nested Class Summary
`protected static class` | `UITab.Properties`

Nested classes/interfaces inherited from interface org.richfaces.component.AbstractTogglePanelTitledItem
`AbstractTogglePanelTitledItem.HeaderStates`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UITab()`

Method Summary
`Object` | `getData()`
`String` | `getDefaultEventName()`
`String` | `getDir()`
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`String` | `getHeaderStyle()`
`String` | `getLang()`
`String` | `getOnbeforedomupdate()`
`String` | `getOnbegin()`
`String` | `getOnclick()`
`String` | `getOncomplete()`
`String` | `getOndblclick()`
`String` | `getOnenter()`
`String` | `getOnheaderclick()`
`String` | `getOnheaderdblclick()`
`String` | `getOnheadermousedown()`
`String` | `getOnheadermousemove()`
`String` | `getOnheadermouseup()`
`String` | `getOnleave()`
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`Object` | `getRender()`
`String` | `getStatus()`
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTitle()`
`boolean` | `isBypassUpdates()`
`boolean` | `isDisabled()`
`boolean` | `isLimitRender()`
`void` | `setBypassUpdates(boolean bypassUpdates)`
`void` | `setData(Object data)`
`void` | `setDir(String dir)`
`void` | `setDisabled(boolean disabled)`
`void` | `setHeaderStyle(String headerStyle)`
`void` | `setLang(String lang)`
`void` | `setLimitRender(boolean limitRender)`
`void` | `setOnbeforedomupdate(String onbeforedomupdate)`
`void` | `setOnbegin(String onbegin)`
`void` | `setOnclick(String onclick)`
`void` | `setOncomplete(String oncomplete)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnenter(String onenter)`
`void` | `setOnheaderclick(String onheaderclick)`
`void` | `setOnheaderdblclick(String onheaderdblclick)`
`void` | `setOnheadermousedown(String onheadermousedown)`
`void` | `setOnheadermousemove(String onheadermousemove)`
`void` | `setOnheadermouseup(String onheadermouseup)`
`void` | `setOnleave(String onleave)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setRender(Object render)`
`void` | `setStatus(String status)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTitle(String title)`

Methods inherited from class org.richfaces.component.AbstractTab
`getContentClass, getExecute, getHeader, getHeaderActiveClass, getHeaderClass, getHeaderDisabledClass, getHeaderFacet, getHeaderFacet, getHeaderInactiveClass, getName, getParentPanel, getRenderer, getSwitchType, getTabPanel, isActive, setContentClass, setExecute, setHeader, setHeaderActiveClass, setHeaderClass, setHeaderDisabledClass, setHeaderInactiveClass, setName, setSwitchType, shouldProcess, toString`

Methods inherited from class org.richfaces.component.AbstractActionComponent
`queueEvent`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UITab

    public UITab()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UICommand`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### isBypassUpdates

    public boolean isBypassUpdates()

  Specified by:
    `isBypassUpdates` in class `AbstractActionComponent`

### setBypassUpdates

    public void setBypassUpdates(boolean bypassUpdates)

  Specified by:
    `setBypassUpdates` in class `AbstractActionComponent`

### getData

    public Object getData()

  Specified by:
    `getData` in interface `AjaxProps`

### setData

    public void setData(Object data)

### getDir

    public String getDir()

  Specified by:
    `getDir` in interface `AbstractDivPanel`

### setDir

    public void setDir(String dir)

### isDisabled

    public boolean isDisabled()

  Specified by:
    `isDisabled` in interface `AbstractTogglePanelTitledItem`

### setDisabled

    public void setDisabled(boolean disabled)

### getHeaderStyle

    public String getHeaderStyle()

  Specified by:
    `getHeaderStyle` in interface `AbstractTogglePanelTitledItem`

### setHeaderStyle

    public void setHeaderStyle(String headerStyle)

### getLang

    public String getLang()

  Specified by:
    `getLang` in interface `AbstractDivPanel`

### setLang

    public void setLang(String lang)

### isLimitRender

    public boolean isLimitRender()

  Specified by:
    `isLimitRender` in interface `AjaxProps`

### setLimitRender

    public void setLimitRender(boolean limitRender)

### getOnbeforedomupdate

    public String getOnbeforedomupdate()

  Specified by:
    `getOnbeforedomupdate` in interface `AjaxProps`

### setOnbeforedomupdate

    public void setOnbeforedomupdate(String onbeforedomupdate)

### getOnbegin

    public String getOnbegin()

  Specified by:
    `getOnbegin` in interface `AjaxProps`

### setOnbegin

    public void setOnbegin(String onbegin)

### getOnclick

    public String getOnclick()

  Specified by:
    `getOnclick` in interface `AbstractDivPanel`

### setOnclick

    public void setOnclick(String onclick)

### getOncomplete

    public String getOncomplete()

  Specified by:
    `getOncomplete` in interface `AjaxProps`

### setOncomplete

    public void setOncomplete(String oncomplete)

### getOndblclick

    public String getOndblclick()

  Specified by:
    `getOndblclick` in interface `AbstractDivPanel`

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOnenter

    public String getOnenter()

  Specified by:
    `getOnenter` in interface `AbstractTogglePanelItemInterface`

### setOnenter

    public void setOnenter(String onenter)

### getOnheaderclick

    public String getOnheaderclick()

  Specified by:
    `getOnheaderclick` in interface `AbstractTogglePanelTitledItem`

### setOnheaderclick

    public void setOnheaderclick(String onheaderclick)

### getOnheaderdblclick

    public String getOnheaderdblclick()

  Specified by:
    `getOnheaderdblclick` in interface `AbstractTogglePanelTitledItem`

### setOnheaderdblclick

    public void setOnheaderdblclick(String onheaderdblclick)

### getOnheadermousedown

    public String getOnheadermousedown()

  Specified by:
    `getOnheadermousedown` in interface `AbstractTogglePanelTitledItem`

### setOnheadermousedown

    public void setOnheadermousedown(String onheadermousedown)

### getOnheadermousemove

    public String getOnheadermousemove()

  Specified by:
    `getOnheadermousemove` in interface `AbstractTogglePanelTitledItem`

### setOnheadermousemove

    public void setOnheadermousemove(String onheadermousemove)

### getOnheadermouseup

    public String getOnheadermouseup()

  Specified by:
    `getOnheadermouseup` in interface `AbstractTogglePanelTitledItem`

### setOnheadermouseup

    public void setOnheadermouseup(String onheadermouseup)

### getOnleave

    public String getOnleave()

  Specified by:
    `getOnleave` in interface `AbstractTogglePanelItemInterface`

### setOnleave

    public void setOnleave(String onleave)

### getOnmousedown

    public String getOnmousedown()

  Specified by:
    `getOnmousedown` in interface `AbstractDivPanel`

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

  Specified by:
    `getOnmousemove` in interface `AbstractDivPanel`

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

  Specified by:
    `getOnmouseout` in interface `AbstractDivPanel`

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

  Specified by:
    `getOnmouseover` in interface `AbstractDivPanel`

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

  Specified by:
    `getOnmouseup` in interface `AbstractDivPanel`

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### getRender

    public Object getRender()

  Specified by:
    `getRender` in interface `AjaxProps`

### setRender

    public void setRender(Object render)

### getStatus

    public String getStatus()

  Specified by:
    `getStatus` in interface `AjaxProps`

### setStatus

    public void setStatus(String status)

### getStyle

    public String getStyle()

  Specified by:
    `getStyle` in interface `AbstractDivPanel`

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

  Specified by:
    `getStyleClass` in interface `AbstractDivPanel`

### setStyleClass

    public void setStyleClass(String styleClass)

### getTitle

    public String getTitle()

  Specified by:
    `getTitle` in interface `AbstractDivPanel`

### setTitle

    public void setTitle(String title)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.